import { GraphQLResolveInfo, FieldNode } from 'graphql';
import { QewlRouterEvent } from './types';
export declare const delegate: (event: QewlRouterEvent) => (operationType: "query" | "mutation" | "subscription", operationName: string, args?: any) => any;
export declare const delegateQuery: (event: QewlRouterEvent) => (query: string, vars?: {
    [key: string]: any;
}) => Promise<{
    [key: string]: any;
}>;
export declare const addTypenameField: (info: GraphQLResolveInfo) => GraphQLResolveInfo;
export declare const addFields: (info: GraphQLResolveInfo, fields: string | FieldNode | [string | FieldNode]) => GraphQLResolveInfo;
export declare const addHelpers: (event: QewlRouterEvent) => void;
