import { GraphQLSchema } from 'graphql';
import { ApolloLink } from 'apollo-link';
import { Request, AsyncRequestHandler } from 'express';
export declare function remoteSchema({name, uri, introspectionSchema, link, authenticationToken, forwardHeaders}: {
    name?: string;
    uri?: string;
    introspectionSchema?: GraphQLSchema;
    link?: ApolloLink;
    authenticationToken?: (req: Request) => string;
    forwardHeaders?: boolean | Array<string>;
}): AsyncRequestHandler;
